> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ファインチューンを作成する



## OpenAPI

````yaml ja/openapi/model-distillation/management.openapi.yaml POST /tasks/{alias}/finetunes
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    プロバイダー、project（APIパスではタスクと呼ばれます）、ルーティングバージョン、
    データセット、再ラベル付け、ファインチューン、評価、Analyticsを管理します。これは
    Model Distillationでも使用されるAPIです。
servers:
  - url: https://distillation.training.wandb.ai/v1
    description: 本番
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI互換エンドポイント、認証情報、モデルカタログ、料金。
  - name: Tasks
    description: 安定したタスクアイデンティティとタスクレベルの情報。
  - name: Routing
    description: バージョン管理されたモデルターゲット、重み、リクエストパラメーター。
  - name: Datasets
    description: 再現可能なデータスナップショット、エントリ、再ラベル付け、再利用可能なモデル出力。
  - name: Fine-tunes
    description: 教師ありファインチューニングジョブとホスト型モデル アーティファクト。
  - name: Evaluations
    description: ヘッドツーヘッド、完全一致、分類の評価。
  - name: Analytics
    description: タスク トラフィック、トークン、エラー、推定コストの読み取りモデル。
  - name: UI preferences
    description: UIで使用されるタスクごとの表示設定。
paths:
  /tasks/{alias}/finetunes:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
      - $ref: '#/components/parameters/TaskAlias'
    post:
      tags:
        - Fine-tunes
      summary: ファインチューンを作成
      operationId: createFinetune
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                dataset_id:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                relabel_run_id:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                model_name:
                  type: string
                base_model:
                  type: string
                  minLength: 1
                default_temperature:
                  type: number
                  minimum: 0
                  maximum: 2
                  default: 0
                model_config:
                  type: object
                  properties:
                    max_examples:
                      type: integer
                      exclusiveMinimum: 0
                      maximum: 9007199254740991
                    config:
                      type: object
                      properties:
                        batch_size:
                          anyOf:
                            - type: string
                              const: auto
                            - type: integer
                              exclusiveMinimum: 0
                              maximum: 32
                        epochs:
                          type: integer
                          exclusiveMinimum: 0
                          description: トレーニングセット全体を通過する回数。デフォルトは 1 です。
                        learning_rate:
                          anyOf:
                            - type: number
                              exclusiveMinimum: 0
                            - type: array
                              minItems: 1
                              items:
                                type: number
                                minimum: 0
                        assistant_turns:
                          type: string
                          enum:
                            - all
                            - last
                        metric_logging:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties: {}
                      additionalProperties: false
                    experimental_config:
                      type: object
                      propertyNames:
                        type: string
                      additionalProperties: {}
                  additionalProperties: false
              required:
                - dataset_id
                - model_name
                - base_model
              additionalProperties: false
      responses:
        '202':
          description: トレーニングがキューに追加されました。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Finetune'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: アクセス可能な個人またはチーム entity。省略すると、認証済みユーザーのデフォルトの entity を使用します。
      schema:
        type: string
    TaskAlias:
      name: alias
      in: path
      required: true
      schema:
        type: string
        pattern: ^[a-z0-9-]{1,64}$
  schemas:
    Finetune:
      type: object
      additionalProperties: true
      required:
        - id
        - task_id
        - dataset_id
        - model_name
        - base_model
        - default_temperature
        - status
        - training_progress
        - created_at
        - updated_at
      properties:
        training_failure_type:
          type:
            - string
            - 'null'
          description: >-
            パイプラインの失敗を表す構造化されたタイプです。RemoteTrainingFailed は、トレーニング
            ジョブを再開できないことを意味します。再試行せず、新しいファインチューンを作成してください。
        id:
          type: string
          format: uuid
        task_id:
          type: string
          format: uuid
        dataset_id:
          type: string
          format: uuid
        relabel_run_id:
          type:
            - string
            - 'null'
          format: uuid
        model_name:
          type: string
        base_model:
          type: string
        model_config:
          oneOf:
            - $ref: '#/components/schemas/FinetuneModelConfig'
            - type: 'null'
        default_temperature:
          type: number
          minimum: 0
          maximum: 2
          default: 0
        status:
          type: string
          enum:
            - queued
            - training
            - deployed
            - failed
        training_progress:
          type: number
          minimum: 0
          maximum: 100
        dataset_artifact_ref:
          type:
            - string
            - 'null'
        model_artifact_ref:
          type:
            - string
            - 'null'
        input_usd_per_mtok:
          type:
            - number
            - 'null'
        output_usd_per_mtok:
          type:
            - number
            - 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    FinetuneModelConfig:
      type: object
      additionalProperties: false
      properties:
        max_examples:
          type: integer
          minimum: 1
        config:
          type: object
          additionalProperties: false
          properties:
            batch_size:
              oneOf:
                - type: string
                  const: auto
                - type: integer
                  minimum: 1
                  maximum: 32
            learning_rate:
              oneOf:
                - type: number
                  exclusiveMinimum: 0
                - type: array
                  minItems: 1
                  items:
                    type: number
                    minimum: 0
            assistant_turns:
              type: string
              enum:
                - all
                - last
            metric_logging:
              $ref: '#/components/schemas/JsonObject'
        experimental_config:
          $ref: '#/components/schemas/JsonObject'
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Task 'missing' not found in entity 'your-team'
          type: not_found
    JsonObject:
      type: object
      additionalProperties: true
  responses:
    Error:
      description: リクエストが失敗しました。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: W&B API key
      description: W&B APIキー。

````

## Related topics

- [ファインチューニング](/ja/model-distillation/studio/fine-tuning.md)
